Debian Bug report logs - #515910
/usr/bin/git-quiltimport: git-quiltimport: cannot specify Author interactively

version graph

Package: git-core; Maintainer for git-core is Gerrit Pape <pape@smarden.org>; Source for git-core is src:git.

Reported by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

Date: Wed, 18 Feb 2009 10:39:02 UTC

Severity: normal

Tags: patch

Found in version git-core/1:1.5.6.5-3

Fixed in version git-core/1:1.6.1.3-2

Done: Gerrit Pape <pape@smarden.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#515910; Package git-core. (Wed, 18 Feb 2009 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Wed, 18 Feb 2009 10:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/git-quiltimport: git-quiltimport: cannot specify Author interactively
Date: Wed, 18 Feb 2009 11:23:15 +0100
Package: git-core
Version: 1:1.5.6.5-3
Severity: normal
File: /usr/bin/git-quiltimport

Hello,

when I run git quiltimport without --author and it fails to determine
an author, quiltimport tries a `read patch_author`.

At least for me this doesn't work, the read command seems to consume
input from the series files, not from my tty.  And after that it enters
an infinite loop, probably because read fails.

Best regards
Uwe

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (700, 'testing'), (70, 'oldstable'), (70, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages git-core depends on:
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libcurl3-gnutls        7.18.2-8          Multi-protocol file transfer libra
ii  libdigest-sha1-perl    2.11-2+b1         NIST SHA-1 message digest algorith
ii  liberror-perl          0.17-1            Perl module for error/exception ha
ii  libexpat1              2.0.1-4           XML parsing C library - runtime li
ii  perl-modules           5.10.0-19         Core Perl modules
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages git-core recommends:
ii  less                          418-1      Pager program similar to more
ii  openssh-client [ssh-client]   1:5.1p1-5  secure shell client, an rlogin/rsh
ii  patch                         2.5.9-5    Apply a diff file to an original
ii  rsync                         3.0.3-2    fast remote file copy program (lik

Versions of packages git-core suggests:
pn  git-arch                     <none>      (no description available)
pn  git-cvs                      <none>      (no description available)
pn  git-daemon-run               <none>      (no description available)
ii  git-doc                      1:1.5.6.5-2 fast, scalable, distributed revisi
ii  git-email                    1:1.5.6.5-2 fast, scalable, distributed revisi
pn  git-gui                      <none>      (no description available)
pn  git-svn                      <none>      (no description available)
ii  gitk                         1:1.5.6.5-2 fast, scalable, distributed revisi
pn  gitweb                       <none>      (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#515910; Package git-core. (Fri, 20 Feb 2009 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 515910@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 20 Feb 2009 08:57:07 GMT) Full text and rfc822 format available.

Message #10 received at 515910@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, 515910@bugs.debian.org
Subject: Re: Bug#515910: /usr/bin/git-quiltimport: git-quiltimport: cannot specify Author interactively
Date: Fri, 20 Feb 2009 08:54:36 +0000
[Message part 1 (text/plain, inline)]
tags 515910 + patch
quit

On Wed, Feb 18, 2009 at 11:23:15AM +0100, Uwe Kleine-König wrote:
> when I run git quiltimport without --author and it fails to determine
> an author, quiltimport tries a `read patch_author`.
> 
> At least for me this doesn't work, the read command seems to consume
> input from the series files, not from my tty.  And after that it enters
> an infinite loop, probably because read fails.

Hi Uwe, does the attached patch fix this for you?

Thanks, Gerrit.
[0001-git-quiltimport-preserve-standard-input-to-be-able-t.diff (text/x-diff, attachment)]

Tags added: patch Request was from Gerrit Pape <pape@smarden.org> to control@bugs.debian.org. (Fri, 20 Feb 2009 08:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#515910; Package git-core. (Mon, 23 Feb 2009 19:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 23 Feb 2009 19:54:04 GMT) Full text and rfc822 format available.

Message #17 received at 515910@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: 515910@bugs.debian.org
Subject: Re: Bug#515910: /usr/bin/git-quiltimport: git-quiltimport: cannot specify Author interactively
Date: Mon, 23 Feb 2009 20:51:22 +0100
On Fri, Feb 20, 2009 at 08:54:36AM +0000, Gerrit Pape wrote:
> Hi Uwe, does the attached patch fix this for you?
Yes it does, thanks

Uwe

-- 
Pengutronix e.K.                              | Uwe Kleine-König            |
Industrial Linux Solutions                    | http://www.pengutronix.de/  |




Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. (Fri, 27 Feb 2009 12:30:04 GMT) Full text and rfc822 format available.

Notification sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Bug acknowledged by developer. (Fri, 27 Feb 2009 12:30:04 GMT) Full text and rfc822 format available.

Message #22 received at 515910-close@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 515910-close@bugs.debian.org
Subject: Bug#515910: fixed in git-core 1:1.6.1.3-2
Date: Fri, 27 Feb 2009 12:02:24 +0000
Source: git-core
Source-Version: 1:1.6.1.3-2

We believe that the bug you reported is fixed in the latest version of
git-core, which is due to be installed in the Debian FTP archive:

git-arch_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-arch_1.6.1.3-2_all.deb
git-core_1.6.1.3-2.diff.gz
  to pool/main/g/git-core/git-core_1.6.1.3-2.diff.gz
git-core_1.6.1.3-2.dsc
  to pool/main/g/git-core/git-core_1.6.1.3-2.dsc
git-cvs_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-cvs_1.6.1.3-2_all.deb
git-daemon-run_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-daemon-run_1.6.1.3-2_all.deb
git-doc_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-doc_1.6.1.3-2_all.deb
git-email_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-email_1.6.1.3-2_all.deb
git-gui_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-gui_1.6.1.3-2_all.deb
git-svn_1.6.1.3-2_all.deb
  to pool/main/g/git-core/git-svn_1.6.1.3-2_all.deb
gitk_1.6.1.3-2_all.deb
  to pool/main/g/git-core/gitk_1.6.1.3-2_all.deb
gitweb_1.6.1.3-2_all.deb
  to pool/main/g/git-core/gitweb_1.6.1.3-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 515910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerrit Pape <pape@smarden.org> (supplier of updated git-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Feb 2009 22:01:37 +0000
Source: git-core
Binary: git-core git-doc git-arch git-cvs git-svn git-email git-daemon-run git-gui gitk gitweb
Architecture: all source
Version: 1:1.6.1.3-2
Distribution: unstable
Urgency: high
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Gerrit Pape <pape@smarden.org>
Description: 
 git-arch   - fast, scalable, distributed revision control system (arch interop
 git-core   - fast, scalable, distributed revision control system
 git-cvs    - fast, scalable, distributed revision control system (cvs interope
 git-daemon-run - fast, scalable, distributed revision control system (git-daemon s
 git-doc    - fast, scalable, distributed revision control system (documentatio
 git-email  - fast, scalable, distributed revision control system (email add-on
 git-gui    - fast, scalable, distributed revision control system (GUI)
 git-svn    - fast, scalable, distributed revision control system (svn interope
 gitk       - fast, scalable, distributed revision control system (revision tre
 gitweb     - fast, scalable, distributed revision control system (web interfac
Closes: 515910
Changes: 
 git-core (1:1.6.1.3-2) unstable; urgency=high
 .
   * debian/diff/0006-Install-builtins-with-the-user-and-group-of...diff:
     new from upstream git: Install builtins with the user and group of
     the installing personality.
   * debian/diff/0007-git-quiltimport-preserve-standard-input-to...diff:
     new from upstream git: git-quiltimport: preserve standard input to
     be able to read user input (closes: #515910).
Checksums-Sha1: 
 aa01e04ff5da5e513c2257c521bf11e5d245f0b6 1303 git-core_1.6.1.3-2.dsc
 511d7fb8ed6f2f920747652445b5672377e8a756 267541 git-core_1.6.1.3-2.diff.gz
 86e3bf0d4b95548d8940521fff112ea6d57e3175 1190780 git-doc_1.6.1.3-2_all.deb
 82940c9f2f4ecb40c77aad6c6b349ba6e9aa6cd5 268408 git-arch_1.6.1.3-2_all.deb
 c87f0f272c07007478a83b4d4bb79552c43d1c9c 332306 git-cvs_1.6.1.3-2_all.deb
 e1db6998f4f40031672884450d74e31edf3b59cb 308306 git-svn_1.6.1.3-2_all.deb
 a0206fd8494220a7633893ca5f110817094cc9c2 255124 git-daemon-run_1.6.1.3-2_all.deb
 cffae0e8f158d3a5706b7bc618639439e4db0aa4 268058 git-email_1.6.1.3-2_all.deb
 39a7555fbf4a8b5dacdff5617234cacd35091ccb 488364 git-gui_1.6.1.3-2_all.deb
 ed9e05244fd50156df98e35fa36e957ea765c2ce 345996 gitk_1.6.1.3-2_all.deb
 7b16daef84c2043b1bf2493408d0687f687863f8 311178 gitweb_1.6.1.3-2_all.deb
Checksums-Sha256: 
 0fc7c90da5125e2332868789ae878262ee54fa3edf8f722dddbdf042b29c6c39 1303 git-core_1.6.1.3-2.dsc
 d475f9101aa20f5a7c4a89bd9684dfb53a0ccd2b69787894219ddae08713a88c 267541 git-core_1.6.1.3-2.diff.gz
 3a62fc4b992e66dc2ece17b5a5d160295d165b8c36cf4a8821b20d517eaefc0b 1190780 git-doc_1.6.1.3-2_all.deb
 ace2181b046c1422a4da85744cf5a797445052a9c9838bd71d2e426add76465b 268408 git-arch_1.6.1.3-2_all.deb
 0a866722aa4fa1b4ad9629318a9f891728d667951e0e6e561c49649585b41b68 332306 git-cvs_1.6.1.3-2_all.deb
 8043d19d66b548ce0184c0f0628347e448caf54b4ca61388e0d6e6c719d73038 308306 git-svn_1.6.1.3-2_all.deb
 c99550437014a74fcf5f363f78b3acc9ed6a5d7383e54372f5b04e8c3c762e04 255124 git-daemon-run_1.6.1.3-2_all.deb
 396f635cef2497aef4321b3476c06be6dd3f27473a1b2954d045147a9d906236 268058 git-email_1.6.1.3-2_all.deb
 0e2999c661578aa38925241f73519b5603d9cf76c6efe94b52fff969a3c0d4f2 488364 git-gui_1.6.1.3-2_all.deb
 e081402c94a106dacea663a8c132eda4b11390010c4a7d1f1ed2f6c75d4e3a34 345996 gitk_1.6.1.3-2_all.deb
 b1946bd05030bc58838223bb5c9ef5587a037fac2eecf4046bcead801750a8a4 311178 gitweb_1.6.1.3-2_all.deb
Files: 
 a426e21629fea480e9a2b3b4c61e5412 1303 devel optional git-core_1.6.1.3-2.dsc
 56672fcf00881a7d2586f61b1ec60651 267541 devel optional git-core_1.6.1.3-2.diff.gz
 dd0121d7f2238c3db5fc28a5e062e816 1190780 doc optional git-doc_1.6.1.3-2_all.deb
 84b27321310757fbcf2cffa8b5be234c 268408 devel optional git-arch_1.6.1.3-2_all.deb
 98c1f8bb36867c106b3daa139489e835 332306 devel optional git-cvs_1.6.1.3-2_all.deb
 95da0f64ba9bf40af1a79491903933d6 308306 devel optional git-svn_1.6.1.3-2_all.deb
 8d914df668198dfc34574ba83b2aed56 255124 devel optional git-daemon-run_1.6.1.3-2_all.deb
 b500c5628a07194153c64a208001cc9f 268058 devel optional git-email_1.6.1.3-2_all.deb
 30e04f99db5bca3f19ea4ee75d3793e3 488364 devel optional git-gui_1.6.1.3-2_all.deb
 2179d7b42ad735951a4e00cce8f3662b 345996 devel optional gitk_1.6.1.3-2_all.deb
 70132115c1a8d708cd4430552e1dac69 311178 devel optional gitweb_1.6.1.3-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmnv5wACgkQGJoyQbxwpv99LwCdF0we1X9WuuwZNr9w3chepThh
NX8Anj/cXrFmo3TqIy4IGPVlM2GFKdfP
=NT39
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Apr 2009 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:30:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.